// Excel01Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "Excel01.h"
#include "Excel01Dlg.h"
#include <afxdb.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CExcel01Dlg dialog

CExcel01Dlg::CExcel01Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CExcel01Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CExcel01Dlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CExcel01Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CExcel01Dlg)
	DDX_Control(pDX, IDC_BUTTONXLS, m_ButtonXls);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CExcel01Dlg, CDialog)
	//{{AFX_MSG_MAP(CExcel01Dlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTONXLS, OnButtonXls)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CExcel01Dlg message handlers

BOOL CExcel01Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	HICON hIcon = AfxGetApp()->LoadIcon(IDR_ICONXLS);
	m_ButtonXls.SetIcon(hIcon);
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CExcel01Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

HCURSOR CExcel01Dlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CExcel01Dlg::OnButtonXls() 
{
	CDatabase database;
	CString sDriver = "MICROSOFT EXCEL DRIVER (*.XLS)";
	CString sExcelFile = "c:\\testxls.xls";
	CString sSql;
	TRY
	{
		sSql.Format("DRIVER={%s};DSN='';FIRSTROWHASNAMES=1;READONLY=FALSE;CREATE_DB=\"%s\";DBQ=%s", sDriver,sExcelFile,sExcelFile);
		if( database.OpenEx(sSql,CDatabase::noOdbcDialog) )
		{
			sSql = "CREATE TABLE test (Name TEXT, Age NUMBER)";
			database.ExecuteSQL(sSql);

			sSql = "INSERT INTO test (Name, Age) VALUES ('  ','45')";
			database.ExecuteSQL(sSql);

			sSql = "UPDATE test SET Age = '40' WHERE Name = '  '";
			database.ExecuteSQL(sSql);
		}      
		database.Close();
	}
	CATCH_ALL(e)
	{
		AfxMessageBox("ODBC Excel   .", MB_OK | MB_ICONSTOP, 0);
	}
	END_CATCH_ALL;
}
